class TplDemoServer {
  async page(row) {
    return await window.framework.http.post("/tpl_demo/page", row);
  }

  async all(param) {
    return await window.framework.http.get("/tpl_demo/all", param || {});
  }

  async detail(param) {
    return await window.framework.http.get("/tpl_demo/detail", param);
  }

  async add(row) {
    return await window.framework.http.post("/tpl_demo/add", row);
  }

  async edit(row) {
    return await window.framework.http.post("/tpl_demo/edit", row);
  }

  async del(row) {
    return await window.framework.http.post("/tpl_demo/del", row);
  }

  exportCsv(params) {
    return window.framework.http.fileExport("/tpl_demo/export", params);
  }
}

export default new TplDemoServer();
